/* Funkcja ustawia kursor na zadanej w parametrach pozycji      */	
/*                                                              */
/* Uwagi do kompilacji:                                         */
/* Konfiguracja kompilacji - wpisz: mex -setup                  */
/* wpisz >> mex rusz_mysza.c user32.lib                         */

#include <windows.h> // Tu nam siedzi wspomniana funkcja (pamietac o podlinkowaniu user32.lib)
#include "mex.h" // Ta biblioteka jest zawsze wymagana - pamiętać


// To jest cos jak "main"
void mexFunction(int nlhs, mxArray *plhs[], int nrhs, const mxArray *prhs[])
{
    mxArray *tab; // parametry są w Matlabie przekazywane przez specjalna strukture mxArray (moze byc ona macierzą, łańcuchem albo właśnie liczbą - jak w tym przypadku)
    int X,Y;
    tab = prhs[0];
    X=(int)(mxGetScalar(tab));
    printf("Parametr X=%d\n",X);
    tab = prhs[1];
    Y=(int)(mxGetScalar(tab));
    printf("Parametr Y=%d\n\n",Y);  
    SetCursorPos(X,Y);
    return;
}